<?php
/************************************************************************
SEM: Simple Event Management
Module: functions.php
Version: 4.0
Developed by Black Widow
Copyright (c) 2007 by Black Widow
Support: www.forum.quirm.net
Commercial Site: www.blackwidows.co.uk
************************************************************************/

// General db connection
function SEMDBConnect ($mhost,$muser,$mpass,$mdb) {
	global $txt;
	$connect = mysql_connect($mhost,$muser,$mpass);
	$error="";
	if (!$connect) $error="<p>".$txt[5]."</p>";
	$db_selected = mysql_select_db($mdb,$connect);
	if (!$db_selected) $error = $txt[6].$mdb." : ".mysql_error() ;
	return $error;
}
/************************************************************************/
// Get config data
function SEMConfig() {
	global $txt;
	include "config.php";
	include "id.php";
	$error = SEMDBConnect ($mhost,$muser,$mpass,$mdb);
	if (trim($error)=="") {
		$config_result = mysql_query ("SELECT * FROM sem2_config WHERE id='$id_num'");
		if (!$config_result) die($txt[7] . mysql_error());
		$config_row = mysql_fetch_array($config_result);
		return $config_row;
	}
	else {
		echo $error;
		exit;
	}
}

/************************************************************************/
function SEMQuoteSmart($value) {
	// Safe entry of any text into a mysql query. Usage: $name=quote_smart($_POST['name']);
	if (get_magic_quotes_gpc()) $value = stripslashes($value);
	$value = mysql_real_escape_string($value);
	$value = SEMEncodeChrs($value);
	return $value;
}


/************************************************************************/

// Check both username and password supplied on login
function SEMLoginCheck($form,$prefix) {
	global $txt;
	$error = "";
	$login = SEMQuoteSmart($form['username']);
	if (!preg_match("/^[a-zA-Z0-9]+$/", $login )) {
		$error = $txt[244];
		return $error;
	}
	$password = SEMQuoteSmart(md5($form["password"]));
	if(trim($login) == "" || trim($password) == "") $error = "<p>".$txt[8]."</p>";
	// Do sql query to search for existing record with correct username and password
	$tblname = SEMQuoteSmart($prefix."sem_users");
	 $result = mysql_query ("SELECT user_name, user_pwd FROM $tblname WHERE user_name = '$login' AND user_pwd='$password'");
	if (!$result) die($txt[9] . mysql_error());
	$num_rows = mysql_num_rows($result);
	if($num_rows==0) $error = $txt[10];
	if (trim($error)!="") return $error;
}
/************************************************************************/

// Check user is known and return member_id and full name
function SEMUserLogin($form,$prefix) {
	global $txt;
	$login = SEMQuoteSmart($form['username']);
	$password = SEMQuoteSmart(md5($form['password']));
	// do the sql query again, but now return the id of member
	$tblname = SEMQuoteSmart($prefix."sem_users");
	$result = mysql_query ("SELECT userid,full_name,super_user FROM $tblname WHERE user_name = '$login' AND user_pwd='$password'");
	if (!$result) die($txt[9] . mysql_error());
	while($row = mysql_fetch_array($result)) {
		$member_id=$row['userid'];
		$full_name=$row['full_name'];
		$super_user=$row['super_user'];
	}
	return array ($member_id,$login,$full_name,$super_user);
}
/************************************************************************/

// Check authentication on each separate page
function SEMAuthenticate() {
	global $txt;
	if (!isset($_SESSION["member_id"]) || ($_SESSION["member_id"] == "")) {
		echo "<p class=\"error\">".$txt[11]."</p>";
		exit;
	}
}

/************************************************************************/

// Check user status
function SEMUserStatus() {
	global $txt;
	if (!isset($_SESSION["super_user"]) || ($_SESSION["super_user"] == "") || ($_SESSION['super_user']!="Y")) {
		echo "<p class=\"error\">".$txt[12]."</p>";
		exit;
	}
}
/************************************************************************/

// Check a given username exists
function SEMCheckUsername($member_login,$prefix) {
	global $txt;
	$error = "";
	$tblname = SEMQuoteSmart($prefix."sem_users");
	$member_login = SEMQuoteSmart($member_login);
	$result = mysql_query ("SELECT * FROM $tblname WHERE user_name = '$member_login'");
	if (!$result) die($txt[9] . mysql_error());
	$num_rows = mysql_num_rows($result);
	if($num_rows==0) $error="<p class=\"error\">".$txt[13]."</p>\n";
	return $error;
}
/************************************************************************/

// Obtain all info on a given user
function SEMGetUser($login_name, $prefix) {
	global $txt;
	$tblname = SEMQuoteSmart($prefix."sem_users");
	$login_name = SEMQuoteSmart($login_name);
	$result = mysql_query ("SELECT * FROM $tblname WHERE user_name = '$login_name'");
	if (!$result) die($txt[9] . mysql_error());
	while($row = mysql_fetch_array($result)) {
		$user_id=$row['userid'];
		$full_name=$row['full_name'];
		$user_pwd=$row['user_pwd'];
		$user_status=$row['super_user'];
	}
	return array ($user_id,$full_name,$user_pwd,$user_status);
}
/************************************************************************/

// Send an email when new item added or edited
function SEMNotify($date_posted,$item_title,$poster) {
	global $txt;
	$config = SEMConfig();
	$toHeader = $txt[44]."<".$config['admin_email'].">";
	$fromHeader = "From: SEM <".$config['server_email'].">";
	$subject = $txt[14];
	$mail_body = $txt[15].$config['uri'].$config['path']."\n\n";
	$mail_body .= $txt[16].$date_posted."\n";
	$mail_body .= $txt[17].$item_title."\n";
	$mail_body .= $txt[18].$poster."\n";
	// Send the mail
	if(mail($toHeader,$subject,$mail_body,$fromHeader)) echo "<p class=\"success\">".$txt[19]."</p>";
	if(!mail($toHeader,$subject,$mail_body,$fromHeader)) echo "<p class=\"error\">".$txt[20]."</p>";
}
/************************************************************************/

// Send an email to notify Admin of an error
function SEMEmailError($content) {
	global $txt;
	$config = SEMConfig();
	$toHeader = $txt[44]."<".$config['admin_email'].">";
	$fromHeader = "From: SEM <".$config['server_email'].">";
	$subject = $txt[21];
	$mail_body = $txt[15].$config['uri'].$config['path']."\n\n";
	$mail_body .= $content;
	// Send the mail
	mail($toHeader,$subject,$mail_body,$fromHeader);
}
/************************************************************************/

function SEMForm($pagetitle,$scriptname,$eventid,$username, $name,$edited,$editor,$title,$startdate,$enddate,$venue,$details,$printmsg,$submit_value) {
	global $txt;
	list($startyear, $startmonth, $startday) = explode ("-", $startdate);
	list($endyear, $endmonth, $endday) = explode ("-", $enddate);
	?>
	<h2><?php echo $pagetitle; ?></h2>
	<div id="event-form">
	<form action="<?php echo $scriptname; ?>" method="post">
	<p><input name="username" id="username" type="hidden" value="<?php echo $username; ?>" />
	<input name="eventid" id="eventid" type="hidden" value="<?php echo $eventid; ?>" />
	<input name="edited" id="editdate" type="hidden" value="<?php echo $edited; ?>" />
	<input name="editor" id="editor" type="hidden" value="<?php echo $editor; ?>" /></p>
	<p class="author">
	<?php
	if ($printmsg !="") echo $printmsg;
	?>
	<strong><?php echo $txt[22]; ?></strong> <?php echo $name; ?>

	<p><small><?php echo $txt[23]; ?><sup>*</sup><?php echo $txt[24]; ?></small></p>

	<p><label for="title"><?php echo $txt[25]; ?><sup>*</sup></label>:
	<input name="title" id="title" type="text" size="66" maxlength="43" value="<?php echo $title; ?>" /></p>
	<?php
	if ($edited !="" && $edited != 0) echo "<p>".$txt[26].SEMDisplayDate($edited).$txt[27].$editor."</p>\n";
	?>
	<b>How long does this recurring event last? Days? Months? Years? This is the day your events began/begin to the day they will end. <font color="red">Note: These dates will be hidden, as many events don't have an "end date." If you need to have a date listed, please include it in the event details below.</font> We must include a date because the event will not be removed until the "end date." Set the "end date" to a time when the event is over, and it will automatically disappear off of the events list.</b>
	<fieldset><legend><?php echo $txt[28]; ?></legend>
	<p><label for="startday" class="dropdown"><?php echo $txt[29]; ?><sup>*</sup></label>:
	<select name="startday" id="startday">
	<?php
	$this_day = date("d");
	SEMDropdownDay($this_day,$startday);
	?>
	</select>
	<label for="startmonth" class="dropdown"><?php echo $txt[30]; ?><sup>*</sup></label>:
	<select name="startmonth" id="startmonth">
	<?php
	$this_month = date("m");
	SEMDropdownMonth($this_month,$startmonth);
	?>
	</select>
	<label for="startyear" class="dropdown"><?php echo $txt[31]; ?><sup>*</sup></label>:
	<select name="startyear" id="startyear">
	<?php
	$this_year = date("Y");
	SEMDropdownYear($this_year,$startyear);
	?>
	</select></p>
	</fieldset>

	<fieldset><legend>Event End Date:</legend>
	<p><label for="endday" class="dropdown"><?php echo $txt[29]; ?><sup>*</sup></label>:
	<select name="endday" id="endday">
	<?php
	$this_day = date("d");
	SEMDropdownDay($this_day,$endday);
	?>
	</select>
	<label for="endmonth" class="dropdown"><?php echo $txt[30]; ?><sup>*</sup></label>:
	<select name="endmonth" id="endmonth">
	<?php
	$this_month = date("m");
	SEMDropdownMonth($this_month,$endmonth);
	?>
	</select>
	<label for="endyear" class="dropdown"><?php echo $txt[31]; ?><sup>*</sup></label>:
	<select name="endyear" id="endyear">
	<?php
	$this_year = date("Y");
	SEMDropdownYear($this_year,$endyear);
	?>
	</select></p>
	</fieldset>
<BR><b>Recurring Time Examples:<BR>&nbsp;&nbsp;&nbsp;&nbsp;Sundays at 6:00pm<BR>&nbsp;&nbsp;&nbsp;&nbsp;Every other Tuesday at 5:00pm</b>
	<p><label for="venue">Recurring Time</label>*:
	<input name="venue" id="venue" type="text" size="72" maxlength="43" value="<?php echo $venue; ?>" /></p>

	<p><label for="details"><?php echo $txt[33]; ?><sup>*</sup></label>:<br />
	<textarea name="details" id="details" cols="60" rows="20"><?php echo $details; ?></textarea><br />
	<a href="php-markdown-help.php"><?php echo $txt[34]; ?></a></p>

	<p><input name="submit" class="submit button" type="submit" value="<?php echo $submit_value; ?>" />
	<input name="reset" class="button" type="reset" value="<?php echo $txt[36]; ?>" /></p>
	</form>
	</div>
	<?php
}
/************************************************************************/

function SEMTemplateForm($scriptname,$template,$tbl,$name_col,$tid,$action) {
	global $txt;
	$pagetitle = $txt[123].$tid;
?>
<h2><?php echo $pagetitle; ?></h2>
<div>
<form action="<?php echo $scriptname; ?>" method="post">
<input name="tid" type="hidden" value="<?php echo $tid; ?>" />

<fieldset>
<legend><?php echo $txt[124]; ?></legend>
<p><?php echo $txt[125] . $txt[126]; ?></p>
<p><label for=""><?php echo $txt[124]; ?></label>:
<select name="tname" id="tname">
<?php
	$cats = SEMGetValues ($tbl, $name_col);
	foreach($cats as $cat) {
		echo "<option value=\"".$cat."\"";
		if($template['tname'] == $cat) echo " selected=\"selected\"";
		echo ">";
		if($cat == "Main") echo $txt[127];
		if($cat == "Archive") echo $txt[128];
		if($cat == "List") echo $txt[129];
		if($cat == "Item") echo $txt[130];
		echo "</option>\n";
	}
?>
</select>
</p></fieldset>


<fieldset>
<legend><?php echo $txt[131]; ?></legend>
<p><?php echo $txt[132]; ?></p>
<p><label for="tdescription"><?php echo $txt[133]; ?></label>:<br />
<input name="tdescription" id="tdescription" type="text" size="80" maxlength="255" value="<?php echo $template['tdescription']; ?>" /></p>
</fieldset>

<fieldset>
<legend><?php echo $txt[134]; ?></legend>
<ul>
<li><?php echo $txt[135]; ?><kbd>-1</kbd></li>
<li><?php echo $txt[136]; ?><kbd>0</kbd></li>
<li><?php echo $txt[137]; ?></li>
</ul>
<p><label for="titems"><?php echo $txt[134]; ?></label>:
<input class="number" name="titems" id="titems" type="text" size="4" maxlength="4" value="<?php echo $template['titems']; ?>" /></p>
</fieldset>

<fieldset>
<legend><?php echo $txt[138]; ?></legend>
<ul>
<li><?php echo $txt[139]; ?><kbd>-1</kbd></li>
<li><?php echo $txt[140]; ?><kbd>0</kbd></li>
<li><?php echo $txt[141]; ?></li>
</ul>
<p><label for="tsize"><?php echo $txt[142]; ?></label>:
<input class="number" name="tsize" id="tsize" type="text" size="4" maxlength="4" value="<?php echo $template['tsize']; ?>" /></p>
</fieldset>

<fieldset>
<legend><?php echo $txt[143]; ?></legend>
<p><?php echo $txt[144]; ?></p>
<p><?php echo $txt[145]; ?></p>
<ul>
<li>[title]: <?php echo $txt[146]; ?></li>
<li>[poster]: <?php echo $txt[147]; ?></li>
<li>[date]: <?php echo $txt[148]; ?></li>
<li>[venue]: <?php echo $txt[149]; ?></li>
<li>[details]: <?php echo $txt[150]; ?></li>
</ul>
<p><label for="tmarkup"><?php echo $txt[151]; ?></label>:<br />
<textarea name="tmarkup" id="tmarkup" cols="60" rows="8">
<?php echo htmlentities($template['tmarkup']); ?></textarea>
</fieldset>

<fieldset>
<legend><?php echo $txt[152]; ?></legend>
<p><?php echo $txt[153]; ?></p>
<p><?php echo $txt[125] . $txt[154]; ?></p>
<p><label for="tlive"><?php echo $txt[155]; ?></label>:
<select name="tlive" id="tlive">
<option value="yes" <?php if($template['tlive'] == "yes") echo "selected=\"selected\"";?>><?php echo $txt[106]; ?></option>
<option value="no" <?php if($template['tlive'] == "no") echo "selected=\"selected\"";?>><?php echo $txt[105]; ?></option>
</select></p>
</fieldset>

<p><input name="amend" class="submit button" type="submit" value="<?php echo $action; ?>" />
<input name="reset" class="button" type="reset" value="<?php echo $txt[156]; ?>" /></p>
</form>
</div>
<?php
}
/************************************************************************/

function SEMAbbrevEvents($titletext,$text,$id,$display_length,$uri,$path) {
	global $txt;
	switch($display_length) {

		case (0):
		$text = "";
		$titletext = SEMRevert($titletext);
		$titletext = '<a class="item-title-link" href="'.$uri.$path.'display-item.php?eventid='.$id.'">'.$titletext.'</a>';
		break 1;

		case ($display_length > 0):
		$new_text = SEMLimitWords($text, $display_length);
		$titletext = SEMRevert($titletext);
		if(strlen($new_text) < strlen($text)) {
			$new_text .="\n\n".'<a class="item-link" href="'.$uri.$path.'display-item.php?eventid='.$id.'">'.$txt[37].$titletext.'</a>';
		}
		$text = $new_text;
		break 1;

		default:
		$titletext = SEMRevert($titletext);
		$text = $text;
		break 1;

	}
	return array($titletext,$text);
}
/************************************************************************/

function SEMLimitWords($string,$num) {
	// Limit number of words displayed to limit set in $variable
	$string = explode(' ', $string);
	if (count($string) > $num) $string = implode(' ', array_slice($string, 0, $num)) . "...";
	else $string = implode(' ',$string);
	return $string;
}

/************************************************************************/

function SEMDisplayDate($date) {
	$displaydate = ucwords(strftime("%A, %d %B %Y",strtotime($date)));
	return $displaydate;
}


/************************************************************************/

function SEMRevert($string) {
	//revert any ascii chr code entries in a string
	$pattern = "/&amp;#/";
	$replace = "&#";
	$string = preg_replace($pattern,$replace,$string);
	return $string;
}

/************************************************************************/

function SEMEncodeChrs($string){

	$trans_tbl = array() ;
	$trans_tbl[chr(128)] = '&#8364;' ;	// 	euro
	$trans_tbl[chr(130)] = '&#8218;' ; 	//	low quote
	$trans_tbl[chr(131)] = '&#402;' ; 	//	florin
	$trans_tbl[chr(132)] = '&#8222;' ; 	// 	double low quote
	$trans_tbl[chr(133)] = '&#8230;' ; 	//	ellipsis
	$trans_tbl[chr(134)] = '&#8224;' ;	//	dagger
	$trans_tbl[chr(135)] = '&#8225;' ; 	//	double dagger
	$trans_tbl[chr(136)] = '&#710;' ; 	//	circumflex
	$trans_tbl[chr(137)] = '&#8240;' ; 	//	per thousand
	$trans_tbl[chr(138)] = '&#352;' ; 	//	S caron
	$trans_tbl[chr(140)] = '&#338;' ; 	//	OE ligature
	$trans_tbl[chr(142)] = '&#381;' ; 	//	Z caron
	$trans_tbl[chr(145)] = '&#8216;' ; 	//	left single curly quote
	$trans_tbl[chr(146)] = '&#8217;' ; 	//	right single curly quote
	$trans_tbl[chr(147)] = '&#8220;' ; 	//	left double curly quote
	$trans_tbl[chr(148)] = '&#8221;' ; 	//	right double curly quote
	$trans_tbl[chr(149)] = '&#8226;' ; 	//	bullet
	$trans_tbl[chr(150)] = '&#8211;' ; 	//	en dash
	$trans_tbl[chr(151)] = '&#8212;' ; 	//	em dash
	$trans_tbl[chr(152)] = '&#732;' ; 	//	small tilde
	$trans_tbl[chr(153)] = '&#8482;' ; 	//	trademark
	$trans_tbl[chr(154)] = '&#353;' ; 	//	small s caron
	$trans_tbl[chr(156)] = '&#339;' ; 	//	oe ligature
	$trans_tbl[chr(158)] = '&#382;' ; 	// 	small z caron
	$trans_tbl[chr(159)] = '&#376;' ; 	//	Y with diaeresis
	$trans_tbl[chr(162)] = '&#162;' ;	// 	cent
	$trans_tbl[chr(163)] = '&#163;' ;	// 	£
	$trans_tbl[chr(169)] = '&#169;' ;	// 	copyright

	for ( $i=160; $i<=255; $i++ ) {
		$trans_tbl[chr($i)] = '&#' . $i . ';' ;
	}

	return strtr ( $string , $trans_tbl ) ;
}
/************************************************************************/

function SEMFormatDateSpan($first, $last) {
// Let's have nicely formatted dates for display only
	$ffirst = ucwords(strftime("%A, %B %d",strtotime($first)));
	$flast="";
	if ($last != $first) $flast = " - " .ucwords(strftime("%A, %B %d",strtotime($last)));
	return array ($ffirst, $flast);
}

/************************************************************************/
// date, month and year dropdowns for forms on the authoring side

function SEMDropdownDay($today,$day) {
	$selected = ' selected="selected"';
	for ($i = 1; $i <= 31; $i++) {
		echo '<option value="'.$i.'"';
		if(isset($day)) {
			if($day == $i) echo $selected;
		}
		elseif($i == $today) echo $selected;
		echo ">$i</option>\n";
	}
}

function SEMDropdownMonth($month_now,$month) {
	$selected = ' selected="selected"';
	for ($i = 1; $i <= 12; $i++) {
		echo '<option value="'.$i.'"';
		if(isset($month)) {
			if($month == $i) echo $selected;
		}
		elseif($i == $month_now) echo $selected;
		echo ">$i</option>\n";
	}
}

function SEMDropdownYear($year_now,$year) {
	$selected = ' selected="selected"';
	for ($i = $year_now-1; $i <= $year_now+10; $i++) {
		echo '<option value="'.$i.'"';
		if(isset($year)) {
			if($year == $i) echo $selected;
		}
		elseif($i == $year_now) echo $selected;
		echo ">".$i."</option>\n";
	}
}

function SEMConfigForm($scriptname, $form, $version_num,$msg) {
	global $txt;
	if($msg !="") echo "<p class=\"warning\">".$msg."</p>\n";
?>
<form action="<?php echo $scriptname; ?>" method="post">
<div><input name="id" id="id" type="hidden" value="<?php echo $form['id']; ?>" /></div>
<h2><?php echo $txt[76]; ?></h2>

<fieldset>
<legend><?php echo $txt[77]; ?></legend>
<p><?php echo $txt[78]; ?></p>
<p><label for="prefix"><?php echo $txt[79]; ?></label>:
<input name="prefix" id="prefix" type="text" size="4" maxlength="4" value="<?php if($form['prefix']=="") echo 'sm_'; else echo $form['prefix']; ?>" /></p>
</fieldset>

<fieldset>
<legend><?php echo $txt[80]; ?></legend>
<fieldset>
<legend><?php echo $txt[81]; ?></legend>
<p><?php echo $txt[82] ; ?></p>
<p><?php echo $txt[83]; ?></p>
<p><strong><?php echo $txt[84]; ?></strong></p>
<p><label for="uri"><?php echo $txt[81]; ?></label>:
<input name="uri" id="uri" type="text" size="40" maxlength="100" value="<?php echo $form['uri']; ?>" /></p>
</fieldset>

<fieldset>
<legend><?php echo $txt[85]; ?></legend>
<p><?php echo $txt[86]; ?></p>
<p><?php echo $txt[87]; ?></p>
<p><strong><?php echo $txt[84]; ?></strong></p>
<p><label for="path"><?php echo $txt[85]; ?></label>:
<input name="path" id="path" type="text" size="40" maxlength="100" value="<?php echo $form['path']; ?>" /></p>
</fieldset>

<fieldset>
<legend><?php echo $txt[88]; ?></legend>
<p><?php echo $txt[89]; ?></p>
<p><?php echo $txt[90]; ?></p>
<p><label for="news_url"><?php echo $txt[88]; ?></label>:
<input name="news_url" id="news_url" type="text" size="40" maxlength="100" value="<?php echo $form['news_url']; ?>" /></p>
</fieldset>

</fieldset>


<fieldset>
<legend><?php echo $txt[91]; ?></legend>
<fieldset>
<legend><?php echo $txt[92]; ?></legend>
<p><?php echo $txt[93]; ?></p>
<p><?php echo $txt[94]; ?></p>
<p><label for="xml_title"><?php echo $txt[92]; ?></label>:
<input name="xml_title" id="xml_title" type="text" size="40" maxlength="255" value="<?php echo $form['xml_title']; ?>" /></p>
</fieldset>

<fieldset>
<legend><?php echo $txt[95]; ?></legend>
<p><?php echo $txt[96]; ?></p>
<p><?php echo $txt[97]; ?></p>
<p><label for="xml_desc"><?php echo $txt[95]; ?></label>:
<input name="xml_desc" id="xml_desc" type="text" size="40" maxlength="255" value="<?php echo $form['xml_desc']; ?>" /></p></fieldset>


<fieldset>
<legend><?php echo $txt[98]; ?></legend>
<p><?php echo $txt[99]; ?></p>
<p><label for="xml_lang"><?php echo $txt[98]; ?></label>:
<input name="xml_lang" id="xml_lang" type="text" size="6" maxlength="6" value="<?php echo $form['xml_lang']; ?>" /></p>
</fieldset>

<fieldset>
<legend><?php echo $txt[100]; ?></legend>
<p><?php echo $txt[101]; ?></p>
<p><label for="xml_chr"><?php echo $txt[100]; ?></label>:
<input name="xml_chr" id="xml_chr" type="text" size="6" maxlength="6" value="<?php echo $form['xml_chr']; ?>" /></p>
</fieldset>

</fieldset>

<fieldset>
<legend><?php echo $txt[102]; ?></legend>

<fieldset>
<legend><?php echo $txt[103]; ?></legend>
<p><?php echo $txt[104]; ?></p>
<p><label for="notify"><?php echo $txt[103]; ?></label>:
<select name="notify" id="notify">
<option value="0" selected="selected"><?php echo $txt[105]; ?></option>
<option value="1"><?php echo $txt[106]; ?></option>
</select></p></fieldset>


<fieldset>
<legend><?php echo $txt[107]; ?></legend>
<p><?php echo $txt[108]; ?></p>
<p><label for="admin_email"><?php echo $txt[109]; ?></label>:
<input name="admin_email" id="admin_email" type="text" size="40" maxlength="100" value="<?php echo $form['admin_email']; ?>" /></p>
</fieldset>

<fieldset>
<legend><?php echo $txt[110]; ?></legend>
<p><?php echo $txt[111].$txt[112]; ?></p>
<p><label for="server_email"><?php echo $txt[113]; ?></label>:
<input name="server_email" id="server_email" size="40" maxlength="100" type="text" value="<?php echo $form['server_email']; ?>" /></p>
</fieldset>

</fieldset>
<p><input name="submit" class="submit button" type="submit" value="<?php echo $txt[178]; ?>" />
<input name="reset" class="button" type="reset" value="<?php echo $txt[36]; ?>" /></p>

</form>
<?php
}

/************************************************************************/

function SEMGetValues ($table, $col) {
	// get all enum values from a given column
	$result=mysql_query("SHOW COLUMNS FROM $table LIKE '$col'");
	if( mysql_num_rows( $result ) > 0 )
	{
	   $cats=mysql_fetch_row($result);
	   preg_match_all("/'(.*?)'/", $cats[1], $matches);
	   $arryEnum= $matches[1];
	   return $arryEnum;
	}
}
/************************************************************************/

?>